Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::MayaTextureManager Class Reference

Mayaテクスチャマネージャ. More...

`#include <MayaTextureManager.h>`

List of all members.

## Static Public Member Functions
void | addReference ()
| 参照の追加
void | removeReference ()
| 参照の削除
bool | bind (const MObject &textureNode)
| バインド
void | renameCallback (MObject &node, void *data)
| 名前変更コールバック
void | dirtyCallback (void *data)
| 汚れコールバック
## Static Protected Member Functions
void | initialize ()
| 初期化
void | finalize ()
| 後始末
void | addDatabase (MayaTexture *texture)
| データベースに追加
void | removeDatabase (MayaTexture *texture)
| データベースから削除
void | clearDatabase ()
| データベースのクリア

## Detailed Description

Mayaテクスチャマネージャ.

Definition at line 39 of file MayaTextureManager.h.

## Member Function Documentation

void LampForMaya::MayaTextureManager::addDatabase | ( | MayaTexture * | texture | ) | `[static, protected]`

  | データベースに追加 Parameters:
  texture | テクスチャ
Definition at line 93 of file MayaTextureManager.cpp. References LampForMaya::MayaTexture::getName(). Referenced by bind().

bool LampForMaya::MayaTextureManager::bind | ( | const MObject & | textureNode | ) | `[static]`

  | バインド Parameters:
  textureNode | テクスチャノード
Returns: 成功すればtrue Definition at line 72 of file MayaTextureManager.cpp. References addDatabase(), LampForMaya::MayaTexture::bind(), and removeDatabase().

void LampForMaya::MayaTextureManager::dirtyCallback | ( | void * | data | ) | `[static]`

  | 汚れコールバック Parameters:
  data | データ
Definition at line 123 of file MayaTextureManager.cpp. References removeDatabase().

void LampForMaya::MayaTextureManager::removeDatabase | ( | MayaTexture * | texture | ) | `[static, protected]`

  | データベースから削除 Parameters:
  texture | テクスチャ
Definition at line 99 of file MayaTextureManager.cpp. References LampForMaya::MayaTexture::getName(). Referenced by bind(), dirtyCallback(), and renameCallback().

void LampForMaya::MayaTextureManager::renameCallback | ( | MObject & | node,
|  | void * | data
| ) | `[static]`

  | 名前変更コールバック Parameters:
  node | 名前が変更されたノード
  data | データ
Definition at line 116 of file MayaTextureManager.cpp. References removeDatabase().

The documentation for this class was generated from the following files:

- MayaTextureManager.h
- MayaTextureManager.cpp